program maskmod

  use sep

  implicit none
  integer                          :: n1,n2,i1,i2, masktype
  real,dimension(:),allocatable    :: mask, data

  call sep_init()
  call from_history("n1",n1)
  call from_history("n2",n2)
  call from_param("masktype",masktype)

  allocate(data(n1*n2),mask(n1*n2))
  call sep_read(data) 

  mask=1.
  if (masktype.eq.0) then
     where (data.lt.0) 
        mask=0.
     end where
  else
     where (data.ge.0)
        mask=0.
     end where
  end if

call sep_write(mask)

end program maskmod
