module hrt_hrt_mod
  
  use velsimp6
  use chain1_mod

  implicit none
  
  integer, private :: n
  
contains
  
  subroutine hrt_hrt_init(nd)
    integer :: nd
    n   = nd
  end subroutine hrt_hrt_init
  
  integer function hrt_hrt_op( adj, add, model, data)
    logical            ::            adj, add
    real, dimension(:) ::                 model, data
    
    call row0(velsimp6_lop,velsimp7_lop,adj,add,model(1:n),model(n+1:),data,-1.)
    
    hrt_hrt_op=0
    
  end function hrt_hrt_op
  
end module hrt_hrt_mod
